Products
Create a product
Codes: SLUG_TAKEN, SKU_TAKEN, PLAN_LIMIT_REACHED (plan’s product limit), PHYSICAL_GOODS_NOT_ENABLED.
Permission: products:write
POST
Create a product
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Headers
Unique key (for example a UUID) that makes retries safe. The first response is stored for 24 hours and replayed for retries with the same key and body.
Maximum string length:
255Body
application/json
Maximum string length:
255Generated from the name when omitted.
Available options:
file, serial, subscription, donation, contact, physical Available options:
single, variants, donation Available options:
draft, active, archived Available options:
public, unlisted, private Required range:
x >= 0Required range:
0 <= x <= 100Required range:
x >= -1Image URLs (http/https), max 50.
Physical only.
Physical only.
Physical only.
Required when product_kind is variants. Same fields as POST /products/{id}/variants.